summaryrefslogtreecommitdiff
path: root/distrib/sets/makelocatedb
diff options
context:
space:
mode:
Diffstat (limited to 'distrib/sets/makelocatedb')
-rw-r--r--distrib/sets/makelocatedb20
1 files changed, 20 insertions, 0 deletions
diff --git a/distrib/sets/makelocatedb b/distrib/sets/makelocatedb
new file mode 100644
index 000000000..834a12402
--- /dev/null
+++ b/distrib/sets/makelocatedb
@@ -0,0 +1,20 @@
+#!/bin/sh
+# $OpenBSD: makelocatedb,v 1.1 2014/07/10 07:13:13 espie Exp $
+
+# xy
+RELEASE=$1
+
+if [ "X${RELEASE}" = "X" ]; then
+ echo "Usage: `basename $0` <OSREVISION>"
+ exit 1
+fi
+
+pwd=`pwd`
+listsdir=`pwd`/lists
+
+lists=`sh ./genlists $arch`
+
+for setname in $lists; do
+ (cd $pwd; sh gensetlist $setname) | \
+ sed -e "s,^\.,${setname}${RELEASE}:,"
+done | sort | /usr/libexec/locate.mklocatedb